%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api_version	2.66
%define major		1
%define libname		%mklibname glibmm %{api_version} %{major}
%define libnamedev	%mklibname -d glibmm %{api_version}

Name:		glibmm
Summary:	C++ interface for glib
Version:	2.65.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(sigc++-3.0)
BuildRequires:	mm-common
BuildRequires:	doxygen
BuildRequires:	libxslt-proc

%description
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{name} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

%package	-n %{libname}
Summary:	C++ interface for glib
Group:		System/Libraries
Provides:	%{name}%{api_version} = %{version}-%{release}
Obsoletes:	%{_lib}glibmm2.56_1 < 2.55.2-3

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{name} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains the library needed to run programs dynamically
linked with %{name}.


%package	-n %{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	mm-common >= 0.9.4
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Obsoletes:	%{_lib}glibmm2.56-devel < 2.55.2-3

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%package	doc
Summary:	Glibmm documentation
Group:		Documentation
BuildArch:	noarch
Obsoletes:	glibmm2.56-doc < 2.55.2-3

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{name} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains all API documentation for %{name}.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -std=c++17"
%configure --disable-static --enable-shared
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc COPYING NEWS README
%{_libdir}/libglibmm*%{api_version}.so.%{major}{,.*}
%{_libdir}/libgiomm*%{api_version}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc AUTHORS ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/giomm-%{api_version}
%{_libdir}/glibmm-%{api_version}
%{_libdir}/pkgconfig/*.pc

%files doc
%doc %{_datadir}/doc/glibmm-%{api_version}/
%{_datadir}/devhelp/books/glibmm-%{api_version}/


%changelog
* Thu Mar 26 2020 wally <wally> 2.65.3-1.mga8
+ Revision: 1560775
- new version 2.65.3
- new api 2.66

* Sun Feb 16 2020 umeabot <umeabot> 2.63.1-2.mga8
+ Revision: 1533130
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 18 2019 wally <wally> 2.63.1-1.mga8
+ Revision: 1443628
- new version 2.63.1
- new api 2.64

* Sat Apr 13 2019 wally <wally> 2.61.1-1.mga7
+ Revision: 1389672
- new version 2.61.1
- new api 2.62

* Sun Mar 31 2019 wally <wally> 2.59.1-2.mga7
+ Revision: 1383686
- obsolete glibmm2.56 leftovers

* Fri Mar 08 2019 wally <wally> 2.59.1-1.mga7
+ Revision: 1372686
- new version 2.59.1
- new api 2.60

* Sun Sep 23 2018 umeabot <umeabot> 2.57.1-2.mga7
+ Revision: 1297911
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 2.57.1-1.mga7
+ Revision: 1235567
- new version 2.57.1
- new api 2.58
- drop ststic build

* Wed Feb 21 2018 ovitters <ovitters> 2.55.2-1.mga7
+ Revision: 1204008
- new version 2.55.2

* Sat Aug 26 2017 wally <wally> 2.55.1-1.mga7
+ Revision: 1148163
- new version 2.55.1
- new api 2.56

* Wed Aug 23 2017 ovitters <ovitters> 2.53.2-1.mga7
+ Revision: 1143590
- use glibmm2.4 as basis for package glibmm for api 2.54
- As major changed, create new versionless glibmm package

* Tue Apr 04 2017 ovitters <ovitters> 2.50.1-1.mga6
+ Revision: 1095901
- new version 2.50.1

* Tue Sep 20 2016 ovitters <ovitters> 2.50.0-1.mga6
+ Revision: 1054635
- new version 2.50.0
- new version 2.49.5

* Thu Mar 31 2016 ovitters <ovitters> 2.48.1-1.mga6
+ Revision: 997079
- new version 2.48.1

* Mon Mar 28 2016 ovitters <ovitters> 2.48.0-1.mga6
+ Revision: 995882
- new version 2.48.0

* Fri Mar 18 2016 ovitters <ovitters> 2.47.92-1.mga6
+ Revision: 992838
- new version 2.47.92

* Tue Mar 01 2016 ovitters <ovitters> 2.47.6-1.mga6
+ Revision: 981537
- new version 2.47.6

* Fri Dec 18 2015 ovitters <ovitters> 2.47.4-1.mga6
+ Revision: 911649
- new version 2.47.4

* Sun Nov 29 2015 ovitters <ovitters> 2.47.3.1-1.mga6
+ Revision: 906975
- new version 2.47.3.1

* Fri Nov 20 2015 ovitters <ovitters> 2.46.2-1.mga6
+ Revision: 904481
- new version 2.46.2

* Thu Sep 24 2015 tv <tv> 2.46.1-1.mga6
+ Revision: 882697
- new release

* Thu Sep 24 2015 fwang <fwang> 2.46.0-1.mga6
+ Revision: 882679
- bump req
+ tv <tv>
- bump sigc++2.0 BR
- new release

* Tue Sep 15 2015 ovitters <ovitters> 2.45.80-1.mga6
+ Revision: 879591
- new version 2.45.80

* Thu Sep 03 2015 ovitters <ovitters> 2.45.70-1.mga6
+ Revision: 872552
- new version 2.45.70

* Sun Aug 23 2015 wally <wally> 2.45.50-2.mga6
+ Revision: 868418
- rebuild with new gcc

* Thu Aug 20 2015 ovitters <ovitters> 2.45.50-1.mga6
+ Revision: 866783
- new version 2.45.50

* Fri Jul 24 2015 ovitters <ovitters> 2.45.41-1.mga6
+ Revision: 856816
- new version 2.45.41

* Wed Jul 22 2015 ovitters <ovitters> 2.45.40-1.mga6
+ Revision: 856112
- new version 2.45.40

* Wed Jul 15 2015 ovitters <ovitters> 2.45.31-1.mga6
+ Revision: 854456
- new version 2.45.31

* Tue Jun 30 2015 ovitters <ovitters> 2.45.3-1.mga6
+ Revision: 848367
- new version 2.45.3

* Mon Jun 22 2015 ovitters <ovitters> 2.45.2-1.mga6
+ Revision: 838602
- new version 2.45.2

* Wed Oct 15 2014 umeabot <umeabot> 2.42.0-3.mga5
+ Revision: 747690
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.42.0-2.mga5
+ Revision: 726350
- rebuild for missing pythoneggs deps
+ ovitters <ovitters>
- new version 2.42.0

* Tue Sep 16 2014 umeabot <umeabot> 2.41.4-2.mga5
+ Revision: 679644
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 ovitters <ovitters> 2.41.4-1.mga5
+ Revision: 676774
- new version 2.41.4

* Fri Aug 22 2014 ovitters <ovitters> 2.41.3-1.mga5
+ Revision: 666530
- new version 2.41.3

* Tue Jul 29 2014 ovitters <ovitters> 2.41.2-1.mga5
+ Revision: 657912
- new version 2.41.2

* Thu Jun 26 2014 ovitters <ovitters> 2.41.1-1.mga5
+ Revision: 639924
- new version 2.41.1

* Sun Apr 13 2014 ovitters <ovitters> 2.40.0-1.mga5
+ Revision: 613892
- new version 2.40.0

* Sat Apr 05 2014 ovitters <ovitters> 2.39.93-1.mga5
+ Revision: 611945
- new version 2.39.93

* Tue Mar 18 2014 ovitters <ovitters> 2.39.92-1.mga5
+ Revision: 604821
- new version 2.39.92

* Tue Mar 04 2014 ovitters <ovitters> 2.39.91-1.mga5
+ Revision: 599443
- new version 2.39.91

* Mon Feb 17 2014 ovitters <ovitters> 2.39.4-1.mga5
+ Revision: 593820
- new version 2.39.4

* Sat Feb 08 2014 dams <dams> 2.39.3-1.mga5
+ Revision: 585888
- new version 2.39.3

* Mon Nov 18 2013 ovitters <ovitters> 2.38.1-1.mga4
+ Revision: 551783
- new version 2.38.1

* Mon Oct 21 2013 umeabot <umeabot> 2.38.0-2.mga4
+ Revision: 541166
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 ovitters <ovitters> 2.38.0-1.mga4
+ Revision: 495255
- new version 2.38.0

* Fri Sep 20 2013 ovitters <ovitters> 2.37.93-1.mga4
+ Revision: 481696
- new version 2.37.93

* Wed Sep 11 2013 ovitters <ovitters> 2.37.7-1.mga4
+ Revision: 477521
- new version 2.37.7

* Wed Aug 28 2013 ovitters <ovitters> 2.37.6-1.mga4
+ Revision: 472603
- new version 2.37.6

* Mon Aug 05 2013 ovitters <ovitters> 2.37.5-1.mga4
+ Revision: 463803
- new version 2.37.5

* Sun Jul 28 2013 dams <dams> 2.37.4-1.mga4
+ Revision: 459210
- new version 2.37.4

* Fri May 24 2013 shlomif <shlomif> 2.36.2-1.mga4
+ Revision: 426450
- New version 2.36.2

* Sat Jan 12 2013 umeabot <umeabot> 2.34.1-2.mga3
+ Revision: 351822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 2.34.1-1.mga3
+ Revision: 316336
- new version 2.34.1

* Sun Oct 21 2012 ovitters <ovitters> 2.34.0-1.mga3
+ Revision: 308746
- new version 2.34.0

* Sun Oct 14 2012 ennael <ennael> 2.33.14-2.mga3
+ Revision: 305603
- Documentation group
+ ovitters <ovitters>
- new version 2.33.14

* Tue Sep 25 2012 ovitters <ovitters> 2.33.13-1.mga3
+ Revision: 297799
- new version 2.33.13

* Fri Sep 07 2012 ovitters <ovitters> 2.33.12-1.mga3
+ Revision: 289424
- new version 2.33.12

* Thu Jul 12 2012 fwang <fwang> 2.33.3-2.mga3
+ Revision: 270159
- rebuild for missing packages

* Tue Jul 10 2012 ovitters <ovitters> 2.33.3-1.mga3
+ Revision: 269209
- new version 2.33.3

* Wed Jun 27 2012 ovitters <ovitters> 2.33.2-1.mga3
+ Revision: 264516
- new version 2.33.2

* Tue Apr 10 2012 ovitters <ovitters> 2.32.0-1.mga2
+ Revision: 230109
- new version 2.32.0

* Wed Mar 28 2012 ovitters <ovitters> 2.31.22-1.mga2
+ Revision: 227255
- new version 2.31.22

* Fri Mar 09 2012 fwang <fwang> 2.31.20-1.mga2
+ Revision: 221989
- new version 2.31.20

* Mon Feb 27 2012 ovitters <ovitters> 2.31.18.1-1.mga2
+ Revision: 215639
- new version 2.31.18.1

* Thu Feb 16 2012 fwang <fwang> 2.31.16.1-1.mga2
+ Revision: 209710
- new version 2.31.16.1

* Tue Feb 14 2012 ovitters <ovitters> 2.31.16-2.mga2
+ Revision: 208802
- clean spec

* Tue Feb 07 2012 fwang <fwang> 2.31.16-1.mga2
+ Revision: 205915
- new version 2.31.16

* Thu Nov 24 2011 fwang <fwang> 2.31.2-1.mga2
+ Revision: 171669
- new version 2.31.2

* Fri Oct 28 2011 wally <wally> 2.31.0.2-1.mga2
+ Revision: 159112
- new version 2.31.0.2

* Tue Sep 27 2011 wally <wally> 2.30.0-1.mga2
+ Revision: 149301
- new version 2.30.0
- clean .spec a bit

* Tue Sep 06 2011 wally <wally> 2.29.13-1.mga2
+ Revision: 139684
- new version 2.29.13

* Fri Sep 02 2011 tv <tv> 2.29.12-2.mga2
+ Revision: 137818
- make the huge doc subpackage be noarch

* Wed Aug 31 2011 fwang <fwang> 2.29.12-1.mga2
+ Revision: 137161
- new version 2.29.12
- do not ship .la files

* Sun Jul 10 2011 fwang <fwang> 2.29.10-1.mga2
+ Revision: 121597
- new version 2.29.10

* Tue Jun 28 2011 fwang <fwang> 2.28.2-2.mga2
+ Revision: 115036
- add req
- br mm-comon

* Tue Jun 14 2011 dmorgan <dmorgan> 2.28.2-1.mga2
+ Revision: 106161
- Fix file list
- New version 2.28.2

* Thu Jan 13 2011 ahmad <ahmad> 2.25.5-2.mga1
+ Revision: 8727
- drop old/unneeded scriptlets
- imported package glibmm2.4

